Subject: bug#49996: egrep and fgrep?

From: Jim Meyering <[email-masked]>
Date: Mon, 16 Aug 2021 13:32:16 +0200

On Sun, Aug 15, 2021 at 8:11 PM Paul Eggert <[email-masked]> wrote:
>
> On 8/15/21 7:25 AM, [email-masked] wrote:
> > I'm willing to bet that the majority of grep/egrep/fgrep invocations
> > come from the command line rather than from scripts.
>
> That's not true for me, as I almost always invoke 'grep' via a script or
> shell function or Emacs. And I'm skeptical that it's true worldwide.
>
> I doubt whether we should remove egrep and fgrep immediately, as that'd
> be a bit sudden. But it's a good time to take the next step. Proposed
> patch attached.

Thanks for writing that, Paul. The patch looks fine.
The irony... that one of our own tests used fgrep!
One nit in the commit log:
> * src/egrep.sh: Issue a obsolescence warning.

s/a/an/